@techreport{lavenier:hal-01294345,
  TITLE = {{BLAST on UPMEM}},
  AUTHOR = {Lavenier, Dominique and Deltel, Charles and Furodet, David and Roy, Jean-Fran{\c c}ois},
  URL = {https://hal.archives-ouvertes.fr/hal-01294345},
  TYPE = {Research Report},
  NUMBER = {RR-8878},
  PAGES = {20},
  INSTITUTION = {{INRIA Rennes - Bretagne Atlantique}},
  YEAR = {2016},
  MONTH = Mar,
  KEYWORDS = {BLAST ;  genomic banks ;  Processing-in-Memory},
  PDF = {https://hal.archives-ouvertes.fr/hal-01294345/file/RR-BLAST_UPMEM_27_04_2016.pdf},
  HAL_ID = {hal-01294345},
  HAL_VERSION = {v2},
}

@techreport{lavenier:hal-01327511,
  TITLE = {{MAPPING on UPMEM}},
  AUTHOR = {Lavenier, Dominique and Deltel, Charles and Furodet, David and Roy, Jean-Fran{\c c}ois},
  URL = {https://hal.archives-ouvertes.fr/hal-01327511},
  TYPE = {Research Report},
  NUMBER = {RR-8923},
  PAGES = {17},
  INSTITUTION = {{INRIA}},
  YEAR = {2016},
  MONTH = Jun,
  KEYWORDS = {Processor in memory ;  mapping ;  bioinformatics},
  PDF = {https://hal.archives-ouvertes.fr/hal-01327511/file/RR-MAP_UPMEM_8923_June_2016.pdf},
  HAL_ID = {hal-01327511},
  HAL_VERSION = {v1},
}

@inproceedings{Siegl:2016:DCF:2989081.2989087,
 author = {Siegl, Patrick and Buchty, Rainer and Berekovic, Mladen},
 title = {Data-Centric Computing Frontiers: A Survey On Processing-In-Memory},
 booktitle = {Proceedings of the Second International Symposium on Memory Systems},
 series = {MEMSYS '16},
 year = {2016},
 isbn = {978-1-4503-4305-3},
 location = {Alexandria, VA, USA},
 pages = {295--308},
 numpages = {14},
 url = {http://doi.acm.org/10.1145/2989081.2989087},
 doi = {10.1145/2989081.2989087},
 acmid = {2989087},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {bandwidth wall, memory wall, near-data processing, processing-in-memory},
}

@techreport{minnick1966cellular,
  title={CELLULAR ARRAYS FOR LOGIC AND STORAGE.},
  author={Minnick, RC and Short, RA and Goldberg, J and Stone, HS and Green, MW},
  year={1966},
  institution={DTIC Document}
}

@Article{eckert2014thermal,
  title={Thermal feasibility of die-stacked processing in memory},
  author={Eckert, Yasuko and Jayasena, Nuwan and Loh, Gabriel H},
  year={2014},
  publisher={Citeseer}
}

@inproceedings{Zhang:2014:TTP:2600212.2600213,
 author = {Zhang, Dongping and Jayasena, Nuwan and Lyashevsky, Alexander and Greathouse, Joseph L. and Xu, Lifan and Ignatowski, Michael},
 title = {TOP-PIM: Throughput-oriented Programmable Processing in Memory},
 booktitle = {Proceedings of the 23rd International Symposium on High-performance Parallel and Distributed Computing},
 series = {HPDC '14},
 year = {2014},
 isbn = {978-1-4503-2749-7},
 location = {Vancouver, BC, Canada},
 pages = {85--98},
 numpages = {14},
 doi = {10.1145/2600212.2600213},
 acmid = {2600213},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {energy efficiency, gpgpu, performance modeling and analysis, processing in memory},
}

@inproceedings{jeddeloh2012hybrid,
  title={Hybrid memory cube new DRAM architecture increases density and performance},
  author={Jeddeloh, Joe and Keeth, Brent},
  booktitle={2012 symposium on VLSI technology (VLSIT)},
  year={2012}
}

@inproceedings{Draper:2002:ADP:514191.514197,
 author = {Draper, Jeff and Chame, Jacqueline and Hall, Mary and Steele, Craig and Barrett, Tim and LaCoss, Jeff and Granacki, John and Shin, Jaewook and Chen, Chun and Kang, Chang Woo and Kim, Ihn and Daglikoca, Gokhan},
 title = {The Architecture of the DIVA Processing-in-memory Chip},
 booktitle = {Proceedings of the 16th International Conference on Supercomputing},
 series = {ICS '02},
 year = {2002},
 isbn = {1-58113-483-5},
 location = {New York, New York, USA},
 pages = {14--25},
 numpages = {12},
 doi = {10.1145/514191.514197},
 acmid = {514197},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {architecture, memory bandwidth, processing-in-memory},
}

@inproceedings{Oskin:1998:APC:279358.279387,
 author = {Oskin, Mark and Chong, Frederic T. and Sherwood, Timothy},
 title = {Active Pages: A Computation Model for Intelligent Memory},
 booktitle = {Proceedings of the 25th Annual International Symposium on Computer Architecture},
 series = {ISCA '98},
 year = {1998},
 isbn = {0-8186-8491-7},
 location = {Barcelona, Spain},
 pages = {192--203},
 numpages = {12},
 doi = {10.1145/279358.279387},
 acmid = {279387},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
}

@INPROCEEDINGS{Kang99flexram:toward,
    author = {Yi Kang and Michael (Wei) Huang and Wei Huang and Seung-moon Yoo and Zhenzhou Ge and Vinh Lam and Diana Keen and Zhenzhou Ce and Vinh Lain and Pratap Pattnaik and Josep Torrellas},
    title = {FlexRAM: Toward an Advanced Intelligent Memory System},
    booktitle = {In International Conference on Computer Design},
    year = {1999},
    pages = {pages}
}

@inproceedings{gaeke2001memory,
  title={Memory-intensive benchmarks: IRAM vs. cache-based machines},
  author={Gaeke, Brian R and Husbands, Parry and Li, Xiaoye S and Oliker, Leonid and Yelick, Katherine A and Biswas, Rupak},
  booktitle={Parallel and Distributed Processing Symposium., Proceedings International, IPDPS 2002, Abstracts and CD-ROM},
  pages={7--pp},
  year={2001},
  organization={IEEE}
}

@inproceedings{Ahn:2015:PIL:2749469.2750385,
 author = {Ahn, Junwhan and Yoo, Sungjoo and Mutlu, Onur and Choi, Kiyoung},
 title = {PIM-enabled Instructions: A Low-overhead, Locality-aware Processing-in-memory Architecture},
 booktitle = {Proceedings of the 42Nd Annual International Symposium on Computer Architecture},
 series = {ISCA '15},
 year = {2015},
 isbn = {978-1-4503-3402-0},
 location = {Portland, Oregon},
 pages = {336--348},
 numpages = {13},
 doi = {10.1145/2749469.2750385},
 acmid = {2750385},
 publisher = {ACM},
 address = {New York, NY, USA},
}

@inproceedings{Ahn:2015:SPA:2749469.2750386,
 author = {Ahn, Junwhan and Hong, Sungpack and Yoo, Sungjoo and Mutlu, Onur and Choi, Kiyoung},
 title = {A Scalable Processing-in-memory Accelerator for Parallel Graph Processing},
 booktitle = {Proceedings of the 42Nd Annual International Symposium on Computer Architecture},
 series = {ISCA '15},
 year = {2015},
 isbn = {978-1-4503-3402-0},
 location = {Portland, Oregon},
 pages = {105--117},
 numpages = {13},
 doi = {10.1145/2749469.2750386},
 acmid = {2750386},
 publisher = {ACM},
 address = {New York, NY, USA},
}

@inproceedings{poteracs2014optimized,
  title={An optimized version of the K-Means clustering algorithm},
  author={Potera{\c{s}}, Cosmin Marian and Mih{\u{a}}escu, Marian Cristian and Mocanu, Mihai},
  booktitle={Computer Science and Information Systems (FedCSIS), 2014 Federated Conference on},
  pages={695--699},
  year={2014},
  organization={IEEE}
}

@article{Kanungo:2002:EKC:628329.628801,
 author = {Kanungo, Tapas and Mount, David M. and Netanyahu, Nathan S. and Piatko, Christine D. and Silverman, Ruth and Wu, Angela Y.},
 title = {An Efficient k-Means Clustering Algorithm: Analysis and Implementation},
 journal = {IEEE Trans. Pattern Anal. Mach. Intell.},
 issue_date = {July 2002},
 volume = {24},
 number = {7},
 month = jul,
 year = {2002},
 issn = {0162-8828},
 pages = {881--892},
 numpages = {12},
 doi = {10.1109/TPAMI.2002.1017616},
 acmid = {628801},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {Pattern recognition, machine learning, data mining, k-means clustering, nearest-neighbor searching, k-d tree, computational geometry, knowledge discovery.},
}

@Inbook{Zhao2009,
author="Zhao, Weizhong
and Ma, Huifang
and He, Qing",
editor="Jaatun, Martin Gilje
and Zhao, Gansen
and Rong, Chunming",
title="Parallel K-Means Clustering Based on MapReduce",
bookTitle="Cloud Computing: First International Conference, CloudCom 2009, Beijing, China, December 1-4, 2009. Proceedings",
year="2009",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="674--679",
isbn="978-3-642-10665-1",
doi="10.1007/978-3-642-10665-1_71",
}

@inproceedings{Zhang:2011:PKC:2120962.2121305,
 author = {Zhang, Jing and Wu, Gongqing and Hu, Xuegang and Li, Shiying and Hao, Shuilong},
 title = {A Parallel K-Means Clustering Algorithm with MPI},
 booktitle = {Proceedings of the 2011 Fourth International Symposium on Parallel Architectures, Algorithms and Programming},
 series = {PAAP '11},
 year = {2011},
 isbn = {978-0-7695-4575-2},
 pages = {60--64},
 numpages = {5},
 doi = {10.1109/PAAP.2011.17},
 acmid = {2121305},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {clustering, K-means algorithm, MPI, parallel computing},
}

@article{Fahim2006,
author="Fahim, A. M.
and Salem, A. M.
and Torkey, F. A.
and Ramadan, M. A.",
title="An efficient enhanced k-means clustering algorithm",
journal="Journal of Zhejiang University-SCIENCE A",
year="2006",
volume="7",
number="10",
pages="1626--1633",
abstract="In k-means clustering, we are given a set of n data points in d-dimensional space ℝd and an integer k and the problem is to determine a set of k points in ℝd, called centers, so as to minimize the mean squared distance from each data point to its nearest center. In this paper, we present a simple and efficient clustering algorithm based on the k-means algorithm, which we call enhanced k-means algorithm. This algorithm is easy to implement, requiring a simple data structure to keep some information in each iteration to be used in the next iteration. Our experimental results demonstrated that our scheme can improve the computational speed of the k-means algorithm by the magnitude in the total number of distance calculations and the overall time of computation.",
issn="1862-1775",
doi="10.1631/jzus.2006.A1626",
}

@inproceedings{arthur2007k,
  title={k-means++: The advantages of careful seeding},
  author={Arthur, David and Vassilvitskii, Sergei},
  booktitle={Proceedings of the eighteenth annual ACM-SIAM symposium on Discrete algorithms},
  pages={1027--1035},
  year={2007},
  organization={Society for Industrial and Applied Mathematics}
}

@article{lloyd1982least,
  title={Least squares quantization in PCM},
  author={Lloyd, Stuart},
  journal={IEEE transactions on information theory},
  volume={28},
  number={2},
  pages={129--137},
  year={1982},
  publisher={IEEE}
}

@article{Aloise:2009:NES:1519378.1519389,
 author = {Aloise, Daniel and Deshpande, Amit and Hansen, Pierre and Popat, Preyas},
 title = {NP-hardness of Euclidean Sum-of-squares Clustering},
 journal = {Mach. Learn.},
 issue_date = {May       2009},
 volume = {75},
 number = {2},
 month = may,
 year = {2009},
 issn = {0885-6125},
 pages = {245--248},
 numpages = {4},
 url = {http://dx.doi.org/10.1007/s10994-009-5103-0},
 doi = {10.1007/s10994-009-5103-0},
 acmid = {1519389},
 publisher = {Kluwer Academic Publishers},
 address = {Hingham, MA, USA},
 keywords = {Clustering, Complexity, Sum-of-squares},
}

@Misc{upmem,
title = {\textsc{Upmem}},
note = {http://www.upmem.com/},
}

@Misc{Lichman:2013,
author = "M. Lichman",
year = "2013",
title = "{UCI} Machine Learning Repository",
url = "http://archive.ics.uci.edu/ml",
institution = "University of California, Irvine, School of Information and Computer Sciences" 
}

@article{guyetant2005cluster,
  title={Cluster of re-configurable nodes for scanning large genomic banks},
  author={Guyetant, St{\'e}phane and Giraud, Mathieu and L’Hours, Ludovic and Derrien, Steven and Rubini, St{\'e}phane and Lavenier, Dominique and Raimbault, Fr{\'e}d{\'e}ric},
  journal={Parallel Computing},
  volume={31},
  number={1},
  pages={73--96},
  year={2005},
  publisher={Elsevier}
}

@inproceedings{georges2006remix,
  title={Remix: une architecture pour la recherche dans les masses de donn{\'e}es index{\'e}es},
  author={Georges, Gilles and Derrien, Steven and Rubini, St{\'e}phane and Raimbault, Fr{\'e}d{\'e}ric and Amsaleg, Laurent and Lavenier, Dominique},
  booktitle={Symposium en archichecture de machines (Sympa) 2006},
  pages={142--153},
  year={2006}
}

@Misc{implemMPI,
author = "Wei-keng Liao",
year = "2013",
title = "Parallel K-Means Data Clustering for Large Data Sets",
url = "http://users.eecs.northwestern.edu/\~wkliao/Kmeans/kmeans\_int64.html",
institution = "Northwestern University, Electrical Engineering and Computer Science Department" 
}

@Misc{implemCuda,
author = "Serban Giuroiu",
year = "2012",
title = "CUDA K-Means Clustering",
url = "http://serban.org/software/kmeans/"
}

@Misc{implemHadoop,
author = "Edgar Gabriel",
title = "Hadoop K-Means Data Clustering",
url = "http://www2.cs.uh.edu/\~gabriel/courses/cosc6339\_s15/kmeans.java",
institution = "University of Houston, Department of Computer Science, Parallel Software Technologies Laboratory" 
}

@inproceedings{Bender:2015:KCT:2818950.2818977,
 author = {Bender, Michael A. and Berry, Jonathan and Hammond, Simon D. and Moore, Branden and Moseley, Benjamin and Phillips, Cynthia A.},
 title = {k-Means Clustering on Two-Level Memory Systems},
 booktitle = {Proceedings of the 2015 International Symposium on Memory Systems},
 series = {MEMSYS '15},
 year = {2015},
 isbn = {978-1-4503-3604-8},
 location = {Washington DC, DC, USA},
 pages = {197--205},
 numpages = {9},
 url = {http://doi.acm.org/10.1145/2818950.2818977},
 doi = {10.1145/2818950.2818977},
 acmid = {2818977},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Scratchpad, Two-Level-Memory, Variable Bandwidth, k-means},
}

@article{ahmad2012puma,
  title={Puma: Purdue mapreduce benchmarks suite},
  author={Ahmad, Faraz and Lee, Seyong and Thottethodi, Mithuna and Vijaykumar, TN},
  year={2012}
}
